Bug 1756656 - exim-4.92.3 is available (CVE-2019-16928)
Summary: exim-4.92.3 is available (CVE-2019-16928)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exim
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-28 23:39 UTC by Upstream Release Monitoring
Modified: 2019-10-09 17:21 UTC (History)
6 users (show)

Fixed In Version: exim-4.92.3-1.el6 exim-4.92.3-1.fc30 exim-4.92.3-1.el7 exim-4.92.3-1.fc31 exim-4.92.3-1.fc29
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-01 00:26:34 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2019-09-28 23:39:27 UTC
Latest upstream release: 4.92.3
Current version/release in rawhide: 4.92.2-1.fc32
URL: https://ftp.exim.org/pub/exim/exim4/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/768/

Comment 1 Upstream Release Monitoring 2019-09-28 23:39:31 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- exim.pam
- exim-clamav-tmpfiles.conf
- exim.init
- exim-greylist.conf.inc
- mk-greylist-db.sql
- greylist-tidy.sh
- trusted-configs
- exim.service
- exim-gen-cert
- clamd.exim.service
- exim.sysconfig
- exim.logrotate
- exim-tidydb.sh

Comment 2 Tim Jackson 2019-09-29 19:19:43 UTC
This is a remote code execution security fix, so pretty urgent.

Comment 3 Fedora Update System 2019-09-30 11:36:42 UTC
FEDORA-2019-e080507ba5 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e080507ba5

Comment 4 Fedora Update System 2019-09-30 11:37:28 UTC
FEDORA-2019-006dfc94cd has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-006dfc94cd

Comment 5 Fedora Update System 2019-09-30 11:40:52 UTC
FEDORA-2019-d778bd4137 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d778bd4137

Comment 6 Fedora Update System 2019-09-30 11:55:53 UTC
FEDORA-EPEL-2019-2bdd0ea9d4 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-2bdd0ea9d4

Comment 7 Fedora Update System 2019-09-30 12:01:48 UTC
FEDORA-EPEL-2019-d7f308f9f1 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d7f308f9f1

Comment 8 Tim Jackson 2019-09-30 18:09:38 UTC
Thanks for the quick turnaround Jaroslav!

Comment 9 Fedora Update System 2019-10-01 00:10:54 UTC
exim-4.92.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-2bdd0ea9d4

Comment 10 Fedora Update System 2019-10-01 00:26:34 UTC
exim-4.92.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-10-01 01:01:45 UTC
exim-4.92.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-006dfc94cd

Comment 12 Fedora Update System 2019-10-01 03:06:24 UTC
exim-4.92.3-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e080507ba5

Comment 13 Fedora Update System 2019-10-01 03:13:38 UTC
exim-4.92.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d778bd4137

Comment 14 Fedora Update System 2019-10-02 01:59:58 UTC
exim-4.92.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-10-04 20:28:51 UTC
exim-4.92.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-10-07 00:01:55 UTC
exim-4.92.3-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-10-08 15:59:02 UTC
FEDORA-2019-1d78c2b35d has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1d78c2b35d

Comment 18 Fedora Update System 2019-10-08 16:23:40 UTC
FEDORA-EPEL-2019-9ce188245b has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9ce188245b

Comment 19 Fedora Update System 2019-10-09 17:21:32 UTC
exim-4.92.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.